# H245_H261VideoCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H261VideoCapability:

List of all members.

## Public Types

enum | OptionalFields { e_qcifMPI, e_cifMPI, e_videoBadMBsCap }

## Public Member Functions

| H245_H261VideoCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_qcifMPI
PASN_Integer | m_cifMPI
PASN_Boolean | m_temporalSpatialTradeOffCapability
PASN_Integer | m_maxBitRate
PASN_Boolean | m_stillImageTransmission
PASN_Boolean | m_videoBadMBsCap

## Member Enumeration Documentation

enum H245_H261VideoCapability::OptionalFields

Enumerator:

  e_qcifMPI |
  e_cifMPI |
  e_videoBadMBsCap |

## Constructor & Destructor Documentation

H245_H261VideoCapability::H245_H261VideoCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H261VideoCapability::GetDataLength | ( |  | ) | const

PBoolean H245_H261VideoCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_H261VideoCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H261VideoCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H261VideoCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H261VideoCapability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_H261VideoCapability::m_qcifMPI

PASN_Integer H245_H261VideoCapability::m_cifMPI

PASN_Boolean H245_H261VideoCapability::m_temporalSpatialTradeOffCapability

PASN_Integer H245_H261VideoCapability::m_maxBitRate

PASN_Boolean H245_H261VideoCapability::m_stillImageTransmission

PASN_Boolean H245_H261VideoCapability::m_videoBadMBsCap

The documentation for this class was generated from the following file:

- h245.h